Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/bottom.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/bottom.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/bottom.component.ts	(revision 55964)
@@ -1,6 +1,6 @@
 import { Component, Input } from '@angular/core';
 import {ActivatedRoute} from '@angular/router';
-import 'rxjs/Rx';
+import 'rxjs';
 import{MenuItem} from './menu';
 import { ConfigurationService } from '../utils/configuration/configuration.service';
 
@@ -34,8 +34,8 @@
       if(this.showMenuItems){
         if( this.APIUrl && this.communityId ){
           this.config.getCommunityInformation(this.APIUrl, this.communityId ).subscribe(data => {
-            for(var i=0; i< data.pages.length; i++){
-              this.showPage[data.pages[i]["route"]] = data.pages[i]["isEnabled"];
+            for(var i=0; i< data['pages'].length; i++){
+              this.showPage[data['pages'][i]["route"]] = data['pages'][i]["isEnabled"];
 
             }
             // console.log(this.showPage)
